Module javafx.base
Package javafx.beans.property.adapter

# Class ReadOnlyJavaBeanLongProperty

java.lang.Object
javafx.beans.binding.NumberExpressionBase
javafx.beans.binding.LongExpression
javafx.beans.property.ReadOnlyLongProperty
javafx.beans.property.ReadOnlyLongPropertyBase
javafx.beans.property.adapter.ReadOnlyJavaBeanLongProperty

All Implemented Interfaces:
  `NumberExpression`, `Observable`, `ReadOnlyJavaBeanProperty<Number>`, `ReadOnlyProperty<Number>`, `ObservableLongValue`, `ObservableNumberValue`, `ObservableValue<Number>`

    public final class ReadOnlyJavaBeanLongProperty
    extends ReadOnlyLongPropertyBase
    implements ReadOnlyJavaBeanProperty<Number>

A `ReadOnlyJavaBeanLongProperty` provides an adapter between a regular read only Java Bean property of type `long` or `Long` and a JavaFX `ReadOnlyLongProperty`. It cannot be created directly, but a `ReadOnlyJavaBeanLongPropertyBuilder` has to be used.

As a minimum, the Java Bean class must implement a getter for the property. The class, as well as the getter method, must be declared public. If the getter of an instance of this class is called, the property of the Java Bean is returned. If the Java Bean property is bound (i.e. it supports PropertyChangeListeners), this `ReadOnlyJavaBeanLongProperty` will be aware of changes in the Java Bean. Otherwise it can be notified about changes by calling `ReadOnlyJavaBeanProperty.fireValueChangedEvent()`.

Deploying an Application as a Module

If the Java Bean class is in a named module, then it must be reflectively accessible to the `javafx.base` module. A class is reflectively accessible if the module `opens` the containing package to at least the `javafx.base` module.

For example, if `com.foo.MyBeanClass` is in the `foo.app` module, the `module-info.java` might look like this:

    module foo.app {
        opens com.foo to javafx.base;
    }

Alternatively, a class is reflectively accessible if the module `exports` the containing package unconditionally.

Since:
  JavaFX 2.1
See Also:
  `ReadOnlyLongProperty`, `ReadOnlyJavaBeanLongPropertyBuilder`

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `long` | `get()` | Returns the current value of this `ObservableLongValue`.

  ### Methods declared in class javafx.beans.property.ReadOnlyLongPropertyBase

  `fireValueChangedEvent`

  ### Methods declared in class javafx.beans.property.ReadOnlyLongProperty

  `asObject, readOnlyLongProperty, toString`

  ### Methods declared in class javafx.beans.binding.LongExpression

  `add, add, add, add, divide, divide, divide, divide, longExpression, longExpression, multiply, multiply, multiply, multiply, negate, subtract, subtract, subtract, subtract`

  ### Methods declared in class javafx.beans.binding.NumberExpressionBase

  `numberExpression`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods declared in interface javafx.beans.binding.NumberExpression

  `add, asString, asString, asString, divide, greaterThan, greaterThan, greaterThan, greaterThan, greaterThan, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, lessThan, lessThan, lessThan, lessThan, lessThan, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, multiply, subtract`

  ### Methods declared in interface javafx.beans.Observable

  `addListener, removeListener`

  ### Methods declared in interface javafx.beans.value.ObservableNumberValue

  `doubleValue, floatValue, intValue, longValue`

  ### Methods declared in interface javafx.beans.value.ObservableValue

  `addListener, getValue, removeListener`

  ### Methods declared in interface javafx.beans.property.adapter.ReadOnlyJavaBeanProperty

  `dispose, fireValueChangedEvent`

  ### Methods declared in interface javafx.beans.property.ReadOnlyProperty

  `getBean, getName`

- ## Method Details

  - ### get

    public long get()
    Returns the current value of this `ObservableLongValue`.
    Specified by:
      `get` in interface `ObservableLongValue`
    Returns:
      The current value
    Throws:
      `UndeclaredThrowableException` - if calling the getter of the Java Bean property throws an `IllegalAccessException` or an `InvocationTargetException`.